#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	telepathy-rakia
Version		:	0.8.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Telepathy connection manager for the SIP protocol
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://telepathy.freedesktop.org/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	dbus-devel
BuildRequires	:	dbus-glib-devel
BuildRequires	:	glib-devel
BuildRequires	:	gtk-doc
BuildRequires	:	python2
BuildRequires	:	sofia-sip
BuildRequires	:	telepathy-glib
#-----------------------------------------------------------------------------
%description
'%{name}'  is a connection manager for the SIP protocol.
It is based around the Sofia-SIP library. It was formerly
known as Telepathy-SofiaSIP

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


autoreconf -vif
export PYTHON=/usr/bin/python2
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-vala-bindings 				\
	--enable-shared					\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{name}-0.7/rakia/*.h
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.*.service
%{_datadir}/telepathy/managers/rakia.manager
%{_mandir}/man8/%{name}.8.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
